Package org.apache.commons.imaging.formats.tiff.write

# Class AbstractTiffImageWriter

java.lang.Object
org.apache.commons.imaging.formats.tiff.write.AbstractTiffImageWriter

Direct Known Subclasses:
  `TiffImageWriterLossless`, `TiffImageWriterLossy`

public abstract class AbstractTiffImageWriter extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ByteOrder`
  `byteOrder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTiffImageWriter()`
  `AbstractTiffImageWriter(ByteOrder byteOrder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static int`
  `imageDataPaddingLength(int dataLength)`
  `protected org.apache.commons.imaging.formats.tiff.write.TiffOutputSummary`
  `validateDirectories(TiffOutputSet outputSet)`
  `abstract void`
  `write(OutputStream os, TiffOutputSet outputSet)`
  `void`
  `writeImage(BufferedImage src, OutputStream os, TiffImagingParameters params)`
  `protected void`
  `writeImageFileHeader(AbstractBinaryOutputStream bos)`
  `protected void`
  `writeImageFileHeader(AbstractBinaryOutputStream bos, long offsetToFirstIFD)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### byteOrder

    protected final ByteOrder byteOrder

- ## Constructor Details

  - ### AbstractTiffImageWriter

    public AbstractTiffImageWriter()

  - ### AbstractTiffImageWriter

    public AbstractTiffImageWriter(ByteOrder byteOrder)

- ## Method Details

  - ### imageDataPaddingLength

    protected static int imageDataPaddingLength(int dataLength)

  - ### validateDirectories

    protected org.apache.commons.imaging.formats.tiff.write.TiffOutputSummary validateDirectories(TiffOutputSet outputSet) throws ImagingException
    Throws:
      `ImagingException`

  - ### write

    public abstract void write(OutputStream os, TiffOutputSet outputSet) throws IOException, ImagingException
    Throws:
      `IOException`
      `ImagingException`

  - ### writeImage

    public void writeImage(BufferedImage src, OutputStream os, TiffImagingParameters params) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### writeImageFileHeader

    protected void writeImageFileHeader(AbstractBinaryOutputStream bos) throws IOException
    Throws:
      `IOException`

  - ### writeImageFileHeader

    protected void writeImageFileHeader(AbstractBinaryOutputStream bos, long offsetToFirstIFD) throws IOException
    Throws:
      `IOException`